BillKit/Docs Console
Disputes

Get dispute

Retrieve one chargeback.

GET/v1/disputes/{dispute_id}
Operation get_dispute · Scope disputes:read · Spec snapshot 2026-09-13

Parameters

ParameterDescription
dispute_idstring · pathrequiredNo description in the spec.

Returns

Returns a DisputeResponse object.

Errors

Status Cause
401 Missing or invalid API key.
403 Key is missing the disputes:read scope.
404 No such object, or it belongs to the other mode.
422 Validation Error
429 Rate limited. Back off and retry.
Request · curl
curl -X GET https://api.billkit.eu/v1/disputes/dp_9XKp2vQ1 \
  -H "Authorization: Bearer $BILLKIT_SECRET_KEY"
Response · 200 OK
{
  "amount_cents": 1900,
  "created": 1789392000,
  "currency": "EUR",
  "id": "dp_9XKp2vQ1",
  "livemode": false,
  "object": "dispute",
  "one_shot_payment_id": "osp_9XKp2vQ1",
  "payment_id": "pay_9XKp2vQ1",
  "provider_chargeback_id": "provider_chargeback_9XKp2vQ1",
  "reason": "string",
  "reversed": 0,
  "status": "string",
  "subscription_id": "sub_9XKp2vQ1"
}